module Ephemeris
  module Planet
    class Moon
      include Ephemeris::Zodiac::Dignity
      ORB = 12

      attr_accessor :position

      def initialize( position )
        self.position = position
      end

      def domicile
        Ephemeris::Zodiac::PositionMatrix::CANCER
      end

      def detriment
        Ephemeris::Zodiac::PositionMatrix::CAPRICORN
      end

      def exaltation
        Ephemeris::Zodiac::PositionMatrix::TAURUS
      end

      def fall
        Ephemeris::Zodiac::PositionMatrix::SCORPIO
      end

      def triplicity
        [ Ephemeris::Zodiac::PositionMatrix::TAURUS, Ephemeris::Zodiac::PositionMatrix::VIRGO, Ephemeris::Zodiac::PositionMatrix::CAPRICORN, Ephemeris::Zodiac::PositionMatrix::CANCER, Ephemeris::Zodiac::PositionMatrix::SCORPIO, Ephemeris::Zodiac::PositionMatrix::PICSES ]
      end
    end
  end
end
