module Ephemeris
  module Planet
    class Sun
      include Ephemeris::Zodiac::Dignity
      ORB = 15

      attr_accessor :position

      def initialize( position )
        self.position = position
      end

      def domicile
        Zodiac::PositionMatrix::LEO
      end

      def detriment
        Zodiac::PositionMatrix::AQUARIUS
      end

      def exaltation
        Zodiac::PositionMatrix::ARIES
      end

      def fall
        Zodiac::PositionMatrix::LIBRA
      end

      def triplicity
        [ Ephemeris::Zodiac::PositionMatrix::ARIES, Ephemeris::Zodiac::PositionMatrix::LEO, Ephemeris::Zodiac::PositionMatrix::SAGITTARIUS ]
      end
    end
  end
end
