module Ephemeris
  module Zodiac
    module Dignity
      ['exaltation', 'fall'].each do |method|
        define_method "#{method}?".to_sym do
          self.send( method.to_sym ).cover? @position
        end
      end

      ['domicile', 'detriment', 'triplicity'].each do |method|
        define_method "#{method}?".to_sym do
          range = self.send( method.to_sym )
          result = false

          if range.is_a? Range
            return range.cover? @position
          else
            range.each do |dignity|
              result = true if dignity.cover? @position
            end

            return result
          end
        end
      end
    end
  end
end
