module Ephemeris
  module Zodiac
    class Interpreter
      attr_accessor :sign

      def initialize( degree )
        @sign = nil

        raise Ephemeris::Zodiac::InvalidDegree.new("#{degree} is not between 0 and 360.") unless (0...360).cover? degree

        signs = Ephemeris::Zodiac::PositionMatrix.constants

        signs.each do |sign|
          @sign = sign.to_s if Ephemeris::Zodiac::PositionMatrix.const_get(sign).cover?( degree )
        end

        raise Ephemeris::Zodiac::UnprocessableEntity.new("Your request #{degree} was not found") if @sign.nil?
      end
    end
  end
end
