module Ephemeris::Zodiac
  class Orb
    attr_accessor :range, :target

    def initialize(range, target)
      @range, @target = range, target
    end

    def cover?( degrees_difference )
      cover = false

      if @range.is_a? Range
        degrees_difference.each do |degrees|
          cover = true if @range.cover?( @target.position + degrees )
        end
      elsif @range.is_a? Array
        @range.each do |part|
          degrees_difference.each do |degrees|
            cover = true if part.cover?( @target.position + degrees )
          end
        end
      end

      return cover
    end

  end
end
